## ezmlm 0.53+5+1

=== Makefile ===
#$Id: Makefile,v 1.117 1999/12/23 02:42:12 lindberg Exp $
#$Name: ezmlm-idx-040 $
SHELL=/bin/sh
SQLCC=`head -1 conf-sqlcc`
SQLLD=`head -1 conf-sqlld`
default: it

clean:: \
TARGETS
	rm -f `cat TARGETS`

alloc.0: \
alloc.3
	nroff -man alloc.3 > alloc.0

alloc.a: \
makelib alloc.o alloc_re.o
	./makelib alloc.a alloc.o alloc_re.o

alloc.o: \
compile alloc.c alloc.h alloc.c error.h alloc.c
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h alloc_re.c byte.h alloc_re.c
	./compile alloc_re.c

author.o: \
compile author.c mime.h
	./compile author.c

auto-ccld.sh: \
conf-cc conf-ld warn-auto.sh
	( cat warn-auto.sh; \
	echo CC=\'`head -1 conf-cc`\'; \
	echo LD=\'`head -1 conf-ld`\' \
	) > auto-ccld.sh

auto-str: \
load auto-str.o substdio.a error.a str.a
	./load auto-str substdio.a error.a str.a 

auto-str.o: \
compile auto-str.c substdio.h auto-str.c readwrite.h auto-str.c \
exit.h auto-str.c
	./compile auto-str.c

auto_cron.c: \
auto-str conf-cron
	./auto-str auto_cron `head -1 conf-cron` > auto_cron.c

auto_cron.o: \
compile auto_cron.c
	./compile auto_cron.c

auto_bin.c: \
auto-str conf-bin
	./auto-str auto_bin `head -1 conf-bin` > auto_bin.c

auto_bin.o: \
compile auto_bin.c
	./compile auto_bin.c

auto_qmail.c: \
auto-str conf-qmail
	./auto-str auto_qmail `head -1 conf-qmail` > auto_qmail.c

auto_qmail.o: \
compile auto_qmail.c
	./compile auto_qmail.c

byte_chr.o: \
compile byte_chr.c byte.h byte_chr.c
	./compile byte_chr.c

byte_copy.o: \
compile byte_copy.c byte.h byte_copy.c
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h byte_cr.c
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h byte_diff.c
	./compile byte_diff.c

byte_rchr.o: \
compile byte_rchr.c byte.h byte_rchr.c
	./compile byte_rchr.c

byte_zero.o: \
compile byte_zero.c byte.h byte_zero.c
	./compile byte_zero.c

case.0: \
case.3
	nroff -man case.3 > case.0

case.a: \
makelib case_diffb.o case_diffs.o case_starts.o case_lowerb.o case_startb.o
	./makelib case.a case_diffb.o case_lowerb.o case_startb.o \
	case_diffs.o case_starts.o

case_diffb.o: \
compile case_diffb.c case.h case_diffb.c
	./compile case_diffb.c

case_diffs.o: \
compile case_diffs.c case.h
	./compile case_diffs.c

case_lowerb.o: \
compile case_lowerb.c case.h case_lowerb.c
	./compile case_lowerb.c

case_startb.o: \
compile case_startb.c case.h case_startb.c
	./compile case_startb.c

checktag.o: \
compile checktag.c stralloc.h scan.h fmt.h strerr.h cookie.h \
	errtxt.h subscribe.h conf-sqlcc
	./compile checktag.c ${SQLCC}

case_starts.o: \
compile case_starts.c case.h
	./compile case_starts.c

compile: \
make-compile warn-auto.sh systype
	( cat warn-auto.sh; ./make-compile "`cat systype`" ) > \
	compile
	chmod 755 compile

constmap.o: \
compile constmap.c constmap.h constmap.c alloc.h constmap.c case.h \
constmap.c
	./compile constmap.c

cookie.o: \
compile cookie.c cookie.h cookie.c str.h cookie.c uint32.h cookie.c \
surfpcs.h uint32.h surfpcs.h cookie.c
	./compile cookie.c

copy.o: \
compile copy.c copy.h stralloc.h substdio.h str.h readwrite.h open.h qmail.h \
strerr.h getln.h case.h errtxt.h mime.h error.h quote.h
	./compile copy.c

date2yyyymm.o:\
compile date2yyyymm.c yyyymm.h
	./compile date2yyyymm.c

dateline.o:\
compile dateline.c yyyymm.h stralloc.h fmt.h
	./compile dateline.c

date822fmt.o: \
compile date822fmt.c datetime.h date822fmt.c fmt.h date822fmt.c \
date822fmt.h date822fmt.c
	./compile date822fmt.c

datetime.0: \
datetime.3
	nroff -man datetime.3 > datetime.0

datetime.o: \
compile datetime.c datetime.h datetime.c
	./compile datetime.c

direntry.0: \
direntry.3
	nroff -man direntry.3 > direntry.0

direntry.h: \
compile trydrent.c direntry.h1 direntry.h2
	( ./compile trydrent.c >/dev/null 2>&1 \
	&& cat direntry.h2 || cat direntry.h1 ) > direntry.h
	rm -f trydrent.o

concatHDR.o: \
compile concatHDR.c mime.h stralloc.h strerr.h byte.h errtxt.h
	./compile concatHDR.c

decodeB.o: \
compile decodeB.c mime.h uint32.h stralloc.h strerr.h errtxt.h
	./compile decodeB.c

decodeHDR.o: \
compile decodeHDR.c mime.h stralloc.h strerr.h error.h case.h byte.h \
uint32.h errtxt.h
	./compile decodeHDR.c

decodeQ.o: \
compile decodeQ.c mime.h stralloc.h strerr.h errtxt.h
	./compile decodeQ.c

encodeB.o: \
compile encodeB.c mime.h uint32.h stralloc.h strerr.h errtxt.h
	./compile encodeB.c

encodeQ.o: \
compile encodeQ.c mime.h stralloc.h strerr.h errtxt.h
	./compile encodeQ.c

unfoldHDR.o: \
compile unfoldHDR.c mime.h stralloc.h strerr.h errtxt.h
	./compile unfoldHDR.c

env.0: \
env.3
	nroff -man env.3 > env.0

env.a: \
makelib env.o envread.o
	./makelib env.a env.o envread.o

env.o: \
compile env.c env.h str.h
	./compile env.c

envread.o: \
compile envread.c env.h envread.c str.h envread.c
	./compile envread.c

error.0: \
error.3
	nroff -man error.3 > error.0

error.a: \
makelib error.o error_str.o
	./makelib error.a error.o error_str.o

error.o: \
compile error.c error.c error.h error.c
	./compile error.c

error_str.0: \
error_str.3
	nroff -man error_str.3 > error_str.0

error_str.o: \
compile error_str.c error_str.c error.h error_str.c
	./compile error_str.c

error_temp.0: \
error_temp.3
	nroff -man error_temp.3 > error_temp.0

ezmlm-accept: \
ezmlm-accept.sh warn-auto.sh conf-bin
	(cat warn-auto.sh; \
	echo EZPATH=\'`head -1 conf-bin`\'; \
	cat ezmlm-accept.sh ) > ezmlm-accept

ezmlm-accept.0: \
ezmlm-accept.1
	nroff -man ezmlm-accept.1 > ezmlm-accept.0

ezmlm-archive: \
load ezmlm-archive.o getconf.o slurpclose.o slurp.o getln.a sig.a \
strerr.a substdio.a stralloc.a alloc.a error.a str.a fs.a open.a \
lock.a fd.a getopt.a idxthread.o yyyymm.a
	./load ezmlm-archive getconf.o slurpclose.o slurp.o getln.a sig.a \
	idxthread.o yyyymm.a strerr.a substdio.a stralloc.a alloc.a \
	error.a str.a fs.a open.a lock.a fd.a getopt.a

ezmlm-archive.0: \
ezmlm-archive.1
	nroff -man ezmlm-archive.1 > ezmlm-archive.0

ezmlm-archive.o: \
compile ezmlm-archive.c alloc.h error.h stralloc.h gen_alloc.h str.h \
sig.h slurp.h getconf.h strerr.h getln.h substdio.h readwrite.h \
makehash.h fmt.h strerr.h errtxt.h idx.h idxthread.h sgetopt.h subgetopt.h
	./compile ezmlm-archive.c

ezmlm-cgi: \
load ezmlm-cgi.o getconf.o slurpclose.o slurp.o constmap.o getln.a sig.a \
mime.a strerr.a substdio.a stralloc.a alloc.a error.a str.a fs.a open.a \
lock.a fd.a getopt.a env.a case.a datetime.o now.o mime.a wait.a yyyymm.a
	./load ezmlm-cgi getconf.o slurpclose.o slurp.o constmap.o getln.a \
	mime.a sig.a env.a case.a datetime.o now.o mime.a wait.a yyyymm.a \
	strerr.a substdio.a stralloc.a alloc.a error.a str.a fs.a open.a \
	lock.a fd.a getopt.a

ezmlm-cgi.0: \
ezmlm-cgi.1
	nroff -man ezmlm-cgi.1 > ezmlm-cgi.0

ezmlm-cgi.o: \
compile ezmlm-cgi.c alloc.h error.h stralloc.h gen_alloc.h str.h \
sig.h slurp.h getconf.h strerr.h getln.h substdio.h readwrite.h env.h \
makehash.h fmt.h strerr.h errtxt.h idx.h idxthread.h mime.h \
constmap.h sgetopt.h subgetopt.h datetime.h now.h fork.h wait.h
	./compile ezmlm-cgi.c

ezmlm-check: \
ezmlm-check.sh warn-auto.sh conf-bin
	(cat warn-auto.sh; \
	echo EZPATH=\'`head -1 conf-bin`\'; \
	echo QMPATH=\'`head -1 conf-qmail`\'; \
	cat ezmlm-check.sh ) > ezmlm-check

ezmlm-check.0: \
ezmlm-check.1
	nroff -man ezmlm-check.1 > ezmlm-check.0

ezmlm-clean: \
load ezmlm-clean.o auto_qmail.o getconf.o copy.o mime.a \
now.o datetime.o date822fmt.o slurpclose.o slurp.o qmail.o quote.o \
getln.a env.a sig.a strerr.a substdio.a stralloc.a alloc.a surf.a \
error.a str.a fs.a case.a open.a seek.a wait.a lock.a fd.a cookie.o getopt.a
	./load ezmlm-clean auto_qmail.o getconf.o copy.o mime.a \
	now.o datetime.o date822fmt.o slurpclose.o \
	slurp.o qmail.o quote.o getln.a env.a sig.a strerr.a \
	substdio.a stralloc.a alloc.a error.a str.a fs.a case.a \
	open.a seek.a wait.a lock.a fd.a cookie.o getopt.a surf.a

ezmlm-clean.0: \
ezmlm-clean.1
	nroff -man ezmlm-clean.1 > ezmlm-clean.0

ezmlm-clean.o: \
compile ezmlm-clean.c error.h stralloc.h gen_alloc.h str.h \
env.h sig.h slurp.h getconf.h strerr.h byte.h getln.h case.h copy.h mime.h \
qmail.h substdio.h readwrite.h seek.h quote.h datetime.h now.h cookie.h \
date822fmt.h direntry.h fmt.h strerr.h errtxt.h idx.h sgetopt.h subgetopt.h
	./compile ezmlm-clean.c

ezmlm-cron: \
load ezmlm-cron.o strerr.a stralloc.a alloc.a error.a open.a auto_qmail.o \
getopt.a getln.a str.a substdio.a sig.a fs.a open.a fd.a lock.a wait.a \
case.a auto_cron.o
	./load ezmlm-cron getopt.a getln.a strerr.a substdio.a \
	stralloc.a alloc.a sig.a fs.a open.a fd.a lock.a error.a \
	wait.a case.a str.a auto_qmail.o auto_cron.o

ezmlm-cron.0: \
ezmlm-cron.1
	nroff -man ezmlm-cron.1 > ezmlm-cron.0

ezmlm-cron.o: \
compile ezmlm-cron.c strerr.h substdio.h stralloc.h error.h str.h \
fork.h readwrite.h wait.h errtxt.h idx.h sgetopt.h auto_qmail.h \
fmt.h auto_cron.h
	./compile ezmlm-cron.c

ezmlm-gate: \
load ezmlm-gate.o subdb.a auto_bin.o getopt.a getln.a env.a sig.a strerr.a \
stralloc.a alloc.a error.a str.a case.a wait.a substdio.a open.a lock.a \
fs.a getconf.o slurpclose.o slurp.o seek.a conf-sqlld
	./load ezmlm-gate subdb.a getconf.o slurpclose.o slurp.o \
	getopt.a getln.a auto_bin.o env.a sig.a fs.a \
	strerr.a substdio.a stralloc.a alloc.a error.a str.a case.a wait.a \
	open.a lock.a seek.a ${SQLLD}

ezmlm-gate.0: \
ezmlm-gate.1
	nroff -man ezmlm-gate.1 > ezmlm-gate.0

ezmlm-gate.o: \
compile ezmlm-gate.c idx.h errtxt.h subscribe.h auto_bin.h \
sgetopt.h subgetopt.h substdio.h getconf.h \
env.h sig.h strerr.h stralloc.h alloc.h error.h str.h case.h \
fork.h wait.h exit.h getln.h open.h
	./compile ezmlm-gate.c

ezmlm-get: \
load ezmlm-get.o idxthread.o subdb.a auto_qmail.o getopt.a now.o getconf.o \
datetime.o date822fmt.o slurpclose.o slurp.o qmail.o quote.o makehash.o \
cookie.o surf.a yyyymm.a \
constmap.o getln.a env.a sig.a strerr.a substdio.a mime.a stralloc.a alloc.a \
error.a str.a fs.a case.a open.a seek.a wait.a lock.a fd.a copy.o conf-sqlld
	./load ezmlm-get idxthread.o subdb.a auto_qmail.o getopt.a getconf.o \
	now.o datetime.o date822fmt.o cookie.o makehash.o slurpclose.o slurp.o \
	yyyymm.a \
	constmap.o substdio.a copy.o mime.a strerr.a stralloc.a alloc.a \
	qmail.o quote.o surf.a getln.a env.a sig.a \
	error.a str.a fs.a case.a \
	open.a seek.a wait.a lock.a fd.a ${SQLLD}

ezmlm-get.o: \
compile ezmlm-get.c idx.h errtxt.h error.h getconf.h stralloc.h gen_alloc.h \
str.h cookie.h env.h sig.h slurp.h strerr.h byte.h getln.h case.h qmail.h \
substdio.h readwrite.h seek.h quote.h sgetopt.h subgetopt.h datetime.h now.h \
date822fmt.h fmt.h strerr.h copy.h errtxt.h idx.h idxthread.h mime.h \
constmap.h makehash.h
	./compile ezmlm-get.c

ezmlm-get.0: \
ezmlm-get.1
	nroff -man ezmlm-get.1 > ezmlm-get.0

ezmlm-greturn: \
load ezmlm-greturn.o quote.o getconf.o subdb.a log.o \
slurpclose.o slurp.o now.o cookie.o surf.a lock.a env.a sig.a \
strerr.a getln.a substdio.a stralloc.a alloc.a error.a str.a fs.a \
case.a open.a conf-sqlld
	./load ezmlm-greturn quote.o getconf.o subdb.a \
	log.o slurpclose.o slurp.o now.o cookie.o surf.a lock.a \
	env.a sig.a strerr.a getln.a substdio.a stralloc.a alloc.a \
	error.a str.a fs.a case.a open.a ${SQLLD}

ezmlm-greturn.0: \
ezmlm-greturn.1
	nroff -man ezmlm-greturn.1 > ezmlm-greturn.0

ezmlm-greturn.o: \
compile ezmlm-greturn.c stralloc.h gen_alloc.h stralloc.h str.h env.h sig.h \
slurp.h getconf.h strerr.h byte.h case.h getln.h substdio.h error.h \
quote.h readwrite.h fmt.h datetime.h now.h cookie.h \
strerr.h subscribe.h
	./compile ezmlm-greturn.c

ezmlm-gwarn: \
load ezmlm-gwarn.o auto_qmail.o getconf.o mime.a cookie.o subdb.a now.o \
slurpclose.o slurp.o quote.o datetime.o date822fmt.o qmail.o surf.a \
case.a strerr.a sig.a getln.a substdio.a stralloc.a alloc.a error.a \
open.a lock.a str.a fs.a fd.a wait.a copy.o getopt.a conf-sqlld
	./load ezmlm-gwarn auto_qmail.o getconf.o mime.a \
	cookie.o subdb.a getopt.a \
	now.o slurpclose.o slurp.o quote.o datetime.o date822fmt.o \
	qmail.o surf.a case.a strerr.a sig.a getln.a substdio.a \
