=== debian/changelog ===
ezmlm (0.53+5+1) jessie; urgency=medium

  * New Version

 -- Go Debian Build Agent <go-iaas-noreply@noris.de>  Mon, 21 Mar 2016 13:50:03 +0100

ezmlm (0.53-7.9) stable; urgency=low

  * RT#462028: Subjects "ezmlm warning"/"ezmlm probe" übersetzbar machen

 -- Matthias Urlichs <smurf@noris.de>  Wed, 01 Oct 2008 18:18:09 +0200

ezmlm (0.53-7.3) stable; urgency=low

  * Rebuild für etch.

 -- Matthias Urlichs <smurf@noris.net>  Wed, 11 Jul 2007 09:57:55 +0200

ezmlm (0.53-7.2) stable; urgency=low

  * Fixup of the std => mysql switch.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 19 May 2004 14:51:26 +0200

ezmlm (0.53-7.1) stable; urgency=low

  * MySQL support.
  * Backport to stable.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 21 Apr 2004 12:31:44 +0200

ezmlm (0.53-8) unstable; urgency=low

  * debian/copyright: clarified a bit that ezmlm it's non-free.
  * error.h: fix errno for newer libc
  * Updated Standards.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 15 Nov 2003 20:18:00 +0100

ezmlm (0.53-7) unstable; urgency=low

  * Fix bad dependency on build-essential package. (closes: #143221)

 -- Roberto Lumbreras <rover@debian.org>  Sat, 11 May 2002 01:13:11 +0200

ezmlm (0.53-6) unstable; urgency=low

  * debian/rules: fix postinst/prerm.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 16 Feb 2002 21:36:29 +0100

ezmlm (0.53-5) unstable; urgency=low

  * Unstall ezmlm-cgi. (closes: #111947)
  * Ignore gzip errors/warnings. (closes: #65983)
  * Bugs fixed by NMUs: (closes: #76716, #119380, #130536)

 -- Roberto Lumbreras <rover@debian.org>  Fri,  8 Feb 2002 19:13:25 +0100

ezmlm (0.53-4.1) unstable; urgency=low

  * NMU.
  * Now rules install ezmlmrc in /etc/ezmlm not in /etc.
  * conffiles changed as consequence.
    (closes: #76716)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  7 Feb 2002 15:03:37 +0100

ezmlm (0.53-4) unstable; urgency=low

  * Updated to ezmlm-idx v0.40.
  * Standards 3.1.1.

 -- Roberto Lumbreras <rover@debian.org>  Tue,  9 May 2000 21:48:05 +0200

ezmlm (0.53-3.1) unstable; urgency=low

  * I took out the ezdomo.tar.gz and ezdomo.pl.tar.gz files;
    as diff cannot represent changes to binary files, they cannot
    be in the debianization patch.
  * Made the postinst warn about digest changes only if upgrading
    from earlier than 0.53-3.
  * Updated to ezmlm-idx v0.313.
  * Non-maintainer upload.

 -- Tommi Virtanen <tv@debian.org>  Thu,  3 Dec 1998 21:06:15 +0200

ezmlm (0.53-3) frozen unstable; urgency=low

  * fixed dependencies (dpkg-dev (>= 1.4.0.20), patch (>= 2.5-0bo1)
  * updated build-PACKAGE script, thanks to Philip Hands.
  * updated to ezmlm-idx 0.30 patches from Fred Lindberg, now MIME'd
    messages should be handled properly.
  * fix for ezmlm-get
  * added ezmlmrc.se

 -- Roberto Lumbreras <rover@debian.org>  Tue, 14 Apr 1998 05:45:01 +0200

ezmlm (0.53-2) unstable; urgency=low

  * lintian: spelling-error-in-description powerfull
  * rewrote package description
  * wrote QUICKSTART
  * add generation of ezmlm-src package, thanks to Philip Hands
  * recommends running build-ezmlm in postinst

 -- Roberto Lumbreras <rover@debian.org>  Sat, 14 Mar 1998 04:38:47 +0100

ezmlm (0.53-1) unstable; urgency=low
  
  * new package, please note it is SOURCE ONLY!
  * merged ezmlm-053 with ezmlm-idx-0.231
  * binary package is named ezmlm-idx and not ezmlm to make clear
    that it is not the original unpatched ezmlm.
  
 -- Roberto Lumbreras <rover@debian.org>  Thu,  5 Mar 1998 04:50:07 +0100

Local variables:
mode: debian-changelog
End:
