=== debian/control ===
Source: ezmlm
Section: non-free/mail
Priority: optional
Maintainer: Roberto Lumbreras <rover@debian.org>
Standards-Version: 3.6.1
Build-Depends: libmysqlclient15-dev

Package: ezmlm-src
Architecture: all
Depends: dpkg-dev (>= 1.4.0.20), patch (>= 2.5-0bo1), fakeroot | sudo, gcc, make
Description: easy-to-use high-speed mailing list manager for qmail (source)
 This is a source only package for building serialmail binary
 package from source, because Dan Bernstein (serialmail's author)
 only gives permission for qmail to be distributed in source form,
 or binary for by approval.
 .
 Written by Dan J. Bernstein, ezmlm is a powerful mailing list
 manager for qmail. This package includes ezmlm-idx patches by
 Fred Lindberg, providing to ezmlm moderation, indexing, digests...
 .
 ezmlm features:
  -cryptographic cookies are used to protect users against false
   subscription requests: forged (un)subscriptions are not possible
  -automatic processing of subscription and unsubscription requests
  -maintains a list archive for automatic retrieval
  -automatic handling of bounce messages (yes, AUTOMATIC)
  -a user only is unsubscribed if his email is unreachable for 10 days
  -forwarding loops detection
  -reliable, even in the face of system crashes
  -can be used for a sublist, redistributing messages from another list
  -huge mailing lists are not a problem
 .
 ezmlm-idx features:
  -subscription/message moderation and remote administration
  -easy moderation, without passwords or special headers to send
  -forged moderations are not possible (cryptographic cookies)
  -any number of moderators is possible
  -threaded archive retrieval
  -digest lists
  -remote administrators can retrieve a subscriber list
  -restricted posting to list subscribers
